<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Returns the dimentions (number of rows and columns) of a...</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for dim {SparkR}"><tr><td>dim {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Returns the dimentions (number of rows and columns) of a DataFrame</h2>

<h3>Description</h3>

<p>Returns the dimentions (number of rows and columns) of a DataFrame
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'DataFrame'
dim(x)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
<p>a SparkSQL DataFrame</p>
</td></tr>
</table>


<h3>See Also</h3>

<p>Other DataFrame functions: <code><a href="select.html">$</a></code>,
<code><a href="select.html">$&lt;-</a></code>, <code><a href="select.html">select</a></code>,
<code><a href="select.html">select</a></code>,
<code><a href="select.html">select,DataFrame,Column-method</a></code>,
<code><a href="select.html">select,DataFrame,list-method</a></code>,
<code><a href="selectExpr.html">selectExpr</a></code>; <code><a href="DataFrame.html">DataFrame-class</a></code>,
<code><a href="DataFrame.html">dataFrame</a></code>, <code><a href="DataFrame.html">groupedData</a></code>;
<code><a href="subset.html">[</a></code>, <code><a href="subset.html">[</a></code>, <code><a href="subset.html">[[</a></code>,
<code><a href="subset.html">subset</a></code>; <code><a href="summarize.html">agg</a></code>,
<code><a href="summarize.html">agg</a></code>,
<code><a href="agg.html">count,GroupedData-method</a></code>,
<code><a href="summarize.html">summarize</a></code>, <code><a href="summarize.html">summarize</a></code>;
<code><a href="arrange.html">arrange</a></code>, <code><a href="arrange.html">arrange</a></code>,
<code><a href="arrange.html">arrange</a></code>, <code><a href="arrange.html">orderBy</a></code>,
<code><a href="arrange.html">orderBy</a></code>; <code><a href="as.data.frame.html">as.data.frame</a></code>,
<code><a href="as.data.frame.html">as.data.frame,DataFrame-method</a></code>;
<code><a href="attach.html">attach</a></code>,
<code><a href="attach.html">attach,DataFrame-method</a></code>;
<code><a href="cache.html">cache</a></code>; <code><a href="collect.html">collect</a></code>;
<code><a href="columns.html">colnames</a></code>, <code><a href="columns.html">colnames</a></code>,
<code><a href="columns.html">colnames&lt;-</a></code>, <code><a href="columns.html">colnames&lt;-</a></code>,
<code><a href="schema.html">columns</a></code>, <code><a href="columns.html">names</a></code>,
<code><a href="columns.html">names&lt;-</a></code>; <code><a href="coltypes.html">coltypes</a></code>,
<code><a href="coltypes.html">coltypes</a></code>, <code><a href="coltypes.html">coltypes&lt;-</a></code>,
<code><a href="coltypes.html">coltypes&lt;-</a></code>; <code><a href="schema.html">columns</a></code>,
<code><a href="schema.html">dtypes</a></code>, <code><a href="schema.html">printSchema</a></code>,
<code><a href="schema.html">schema</a></code>, <code><a href="schema.html">schema</a></code>;
<code><a href="nrow.html">count</a></code>, <code><a href="nrow.html">nrow</a></code>;
<code><a href="summary.html">describe</a></code>, <code><a href="summary.html">describe</a></code>,
<code><a href="summary.html">describe</a></code>, <code><a href="summary.html">summary</a></code>,
<code><a href="summary.html">summary</a></code>,
<code><a href="summary.html">summary,PipelineModel-method</a></code>;
<code><a href="distinct.html">distinct</a></code>, <code><a href="distinct.html">unique</a></code>;
<code><a href="nafunctions.html">dropna</a></code>, <code><a href="nafunctions.html">dropna</a></code>,
<code><a href="nafunctions.html">fillna</a></code>, <code><a href="nafunctions.html">fillna</a></code>,
<code><a href="nafunctions.html">na.omit</a></code>, <code><a href="nafunctions.html">na.omit</a></code>;
<code><a href="schema.html">dtypes</a></code>; <code><a href="except.html">except</a></code>,
<code><a href="except.html">except</a></code>; <code><a href="explain.html">explain</a></code>,
<code><a href="explain.html">explain</a></code>; <code><a href="filter.html">filter</a></code>,
<code><a href="filter.html">filter</a></code>, <code><a href="filter.html">where</a></code>,
<code><a href="filter.html">where</a></code>; <code><a href="first.html">first</a></code>,
<code><a href="first.html">first</a></code>; <code><a href="groupBy.html">groupBy</a></code>,
<code><a href="groupBy.html">groupBy</a></code>, <code><a href="groupBy.html">group_by</a></code>,
<code><a href="groupBy.html">group_by</a></code>; <code><a href="head.html">head</a></code>;
<code><a href="insertInto.html">insertInto</a></code>, <code><a href="insertInto.html">insertInto</a></code>;
<code><a href="intersect.html">intersect</a></code>, <code><a href="intersect.html">intersect</a></code>;
<code><a href="isLocal.html">isLocal</a></code>, <code><a href="isLocal.html">isLocal</a></code>;
<code><a href="join.html">join</a></code>; <code><a href="limit.html">limit</a></code>,
<code><a href="limit.html">limit</a></code>; <code><a href="merge.html">merge</a></code>,
<code><a href="merge.html">merge</a></code>; <code><a href="mutate.html">mutate</a></code>,
<code><a href="mutate.html">mutate</a></code>, <code><a href="mutate.html">transform</a></code>,
<code><a href="mutate.html">transform</a></code>; <code><a href="ncol.html">ncol</a></code>;
<code><a href="persist.html">persist</a></code>; <code><a href="schema.html">printSchema</a></code>;
<code><a href="rbind.html">rbind</a></code>, <code><a href="rbind.html">rbind</a></code>,
<code><a href="rbind.html">unionAll</a></code>, <code><a href="rbind.html">unionAll</a></code>;
<code><a href="registerTempTable.html">registerTempTable</a></code>,
<code><a href="registerTempTable.html">registerTempTable</a></code>; <code><a href="rename.html">rename</a></code>,
<code><a href="rename.html">rename</a></code>, <code><a href="rename.html">withColumnRenamed</a></code>,
<code><a href="rename.html">withColumnRenamed</a></code>;
<code><a href="repartition.html">repartition</a></code>; <code><a href="sample.html">sample</a></code>,
<code><a href="sample.html">sample</a></code>, <code><a href="sample.html">sample_frac</a></code>,
<code><a href="sample.html">sample_frac</a></code>;
<code><a href="write.parquet.html">saveAsParquetFile</a></code>,
<code><a href="write.parquet.html">saveAsParquetFile</a></code>,
<code><a href="write.parquet.html">write.parquet</a></code>, <code><a href="write.parquet.html">write.parquet</a></code>;
<code><a href="saveAsTable.html">saveAsTable</a></code>, <code><a href="saveAsTable.html">saveAsTable</a></code>;
<code><a href="write.df.html">saveDF</a></code>, <code><a href="write.df.html">saveDF</a></code>,
<code><a href="write.df.html">write.df</a></code>, <code><a href="write.df.html">write.df</a></code>,
<code><a href="write.df.html">write.df</a></code>; <code><a href="selectExpr.html">selectExpr</a></code>;
<code><a href="showDF.html">showDF</a></code>, <code><a href="showDF.html">showDF</a></code>;
<code><a href="show.html">show</a></code>, <code><a href="show.html">show</a></code>,
<code><a href="show.html">show,GroupedData-method</a></code>; <code><a href="str.html">str</a></code>;
<code><a href="take.html">take</a></code>; <code><a href="unpersist-methods.html">unpersist</a></code>;
<code><a href="withColumn.html">withColumn</a></code>, <code><a href="withColumn.html">withColumn</a></code>;
<code><a href="write.json.html">write.json</a></code>, <code><a href="write.json.html">write.json</a></code>;
<code><a href="write.text.html">write.text</a></code>, <code><a href="write.text.html">write.text</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
path &lt;- "path/to/file.json"
df &lt;- read.json(sqlContext, path)
dim(df)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
